package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电力消耗预测对象 adm_ems_elec_expend_forecast
 * 
 * @author ruoyi
 * @date 2024-08-12
 */
public class ElecExpendForecast extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 对象代码 */
    @Excel(name = "对象代码")
    private String objCode;

    /** 对象类型 */
    @Excel(name = "对象类型")
    private Integer objType;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 功率 （千瓦） */
    @Excel(name = "功率 ")
    private Double elecUseQuantity;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setObjCode(String objCode) 
    {
        this.objCode = objCode;
    }

    public String getObjCode() 
    {
        return objCode;
    }
    public void setObjType(Integer objType) 
    {
        this.objType = objType;
    }

    public Integer getObjType() 
    {
        return objType;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setElecUseQuantity(Double elecUseQuantity) 
    {
        this.elecUseQuantity = elecUseQuantity;
    }

    public Double getElecUseQuantity() 
    {
        return elecUseQuantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("objCode", getObjCode())
            .append("objType", getObjType())
            .append("date", getDate())
            .append("elecUseQuantity", getElecUseQuantity())
            .toString();
    }
}
